{
	"buffs": 
	[
	    {
			"id": "HMST_zero1",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_zero1",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_zero2",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_zero2",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		
		{
			"id": "HMST_zero-1",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_zero1",
			"amount": -1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_zero-2",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_zero2",
			"amount": -1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		
		
		
		
		
		
		
		{
			"id": "HMST_zerowide",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_zerowide",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_zerowide_debuff",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_zerowide_debuff",
			"amount": -1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		
		
		
		
		
		
		
		{
			"id": "HMST_SK1_tooltip",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK1_tooltip",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		{
			"id": "HMST_SK2_tooltip",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK2_tooltip",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		{
			"id": "HMST_SK3_tooltip_1",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK3_tooltip_1",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK3_tooltip_2",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK3_tooltip_2",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK3_tooltip_3",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK3_tooltip_3",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		{
			"id": "HMST_SK4_tooltip_1",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK4_tooltip_1",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK4_tooltip_2",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK4_tooltip_2",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK4_tooltip_3",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK4_tooltip_3",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK4_tooltip_4",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK4_tooltip_4",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		{
			"id": "HMST_SK4_CD_tooltip",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK4_CD_tooltip",
			"amount": -1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		{
			"id": "HMST_SK5_tooltip_1",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK5_tooltip_1",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK5_tooltip_2",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK5_tooltip_2",
			"amount": -1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK5_tooltip_3",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK5_tooltip_3",
			"amount": -1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK5_tooltip_4",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK5_tooltip_4",
			"amount": -1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK5_tooltip_5",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK5_tooltip_5",
			"amount": -1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		{
			"id": "HMST_SK6_tooltip_1",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK6_tooltip_1",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK6_tooltip_2",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK6_tooltip_2",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK6_tooltip_3",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK6_tooltip_3",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK6_tooltip_4",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK6_tooltip_4",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		{
			"id": "HMST_SK7_tooltip_1",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK7_tooltip_1",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK7_tooltip_2",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK7_tooltip_2",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK7_tooltip_3",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK7_tooltip_3",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		{
			"id": "HMST_SK8_tooltip_1",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK8_tooltip_1",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK8_tooltip_2",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK8_tooltip_2",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		{
			"id": "HMST_SK9_tooltip_1",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK9_tooltip_1",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK9_tooltip_2",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK9_tooltip_2",
			"amount": -1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK9_tooltip_3",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK9_tooltip_3",
			"amount": -1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
	
		{
			"id": "HMST_SK9_CD_tooltip",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK9_CD_tooltip",
			"amount": -1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		{
			"id": "HMST_SK10_tooltip_1",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK10_tooltip_1",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK10_tooltip_2",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK10_tooltip_2",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK10_tooltip_3",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK10_tooltip_3",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_SK10_tooltip_4",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_SK10_tooltip_4",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		
		
		
		
		
		
		
		{
			"id": "HMST_bit_tooltip_1",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_bit_tooltip_1",
			"amount": -1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		{
			"id": "HMST_bit_tooltip_2",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_bit_tooltip_2",
			"amount": -1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		{
			"id": "HMST_curse_tooltip",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_curse_tooltip",
			"amount": -1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		{
			"id": "HMST_burial_tooltip",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_burial_tooltip",
			"amount": -1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		
		
		
		
		
		
		
		{
			"id": "HMST_bottle_tooltip_1",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_bottle_tooltip_1",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_bottle_tooltip_2",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_bottle_tooltip_2",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_bottle_tooltip_3",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_bottle_tooltip_3",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_bottle_tooltip_4",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_bottle_tooltip_4",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		
		
		
		
		
		
		
		{
			"id": "HMST_freezing_core_tooltip_1",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_freezing_core_tooltip_1",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_freezing_core_tooltip_2",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_freezing_core_tooltip_2",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		
		
		
		
		
		
		
		{
			"id": "HMST_doll_tooltip_1",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_doll_tooltip_1",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_doll_tooltip_2",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_doll_tooltip_2",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		{
			"id": "HMST_doll_heal_CD_tooltip",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_doll_heal_CD_tooltip",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		
		
		{
			"id": "HMST_flag_tooltip",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_flag_tooltip",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		},
		
		
		
		{
			"id": "HMST_shadow_toolitp",
			"stat_type": "upgrade_discount",
			"stat_sub_type": "HMST_shadow_toolitp",
			"amount": 1,
			"remove_if_not_active": false,
			"rule_type": "always",
			"is_false_rule": false,
			"rule_data": {
				"float": 0,
				"string": ""
			},
			"is_clear_debuff_valid": false,
			"has_description" : true
		}
	]
}